- Main Page
- Modules
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# rlog::PublishLoc Struct Reference

Internal RLog structure - static struct for each rLog() statement. More...

`#include <rlog/rlog.h>`

List of all members.

## Public Attributes
void(* | publish )(PublishLoc *, RLogChannel *, const char *format,...) PRINTF_FP(3
| function to call when we reach the log statement.
void(*) RLogNode * | pub
const char * | component
const char * | fileName
const char * | functionName
int | lineNum
RLogChannel * | channel

## Detailed Description

Internal RLog structure - static struct for each rLog() statement.

The documentation for this struct was generated from the following file:

- rlog.h